summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/ctan2tl
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/ctan2tl')
-rwxr-xr-xMaster/tlpkg/bin/ctan2tl5
1 files changed, 5 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/ctan2tl b/Master/tlpkg/bin/ctan2tl
index 600c7ff6f08..8f852e12bcd 100755
--- a/Master/tlpkg/bin/ctan2tl
+++ b/Master/tlpkg/bin/ctan2tl
@@ -86,6 +86,11 @@ fi
fi # end of copying from CTAN.
+# clean up the tmpdir possibly created by 'tlpkginfo --prepare'
+ctan_root=`tlpkginfo --ctan-root`
+if ! echo "$ctan_dir1" | egrep "^$ctan_root" >/dev/null; then
+ rm -rf $ctan_dir1
+fi
#
printf "\n$0: calling ctan2tds\n"